gov.ornl.mercury3.services

## Class AbstractResultSet

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractResultSet

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ResultSet

      public abstract class AbstractResultSet
      extends Object
      implements Serializable

  AbstractResultSet entity provides the base persistence definition of the ResultSet entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResultSet()` default constructor
    `AbstractResultSet(ResultSetId id)` minimal constructor
    `AbstractResultSet(ResultSetId id, Long recordCount, String searchStatus, Date rsDatetime, String source)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSetId` | `getId()`
    `Long` | `getRecordCount()`
    `Date` | `getRsDatetime()`
    `String` | `getSearchStatus()`
    `String` | `getSource()`
    `void` | `setId(ResultSetId id)`
    `void` | `setRecordCount(Long recordCount)`
    `void` | `setRsDatetime(Date rsDatetime)`
    `void` | `setSearchStatus(String searchStatus)`
    `void` | `setSource(String source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractResultSet

          public AbstractResultSet()

      default constructor

    - #### AbstractResultSet

          public AbstractResultSet(ResultSetId id)

      minimal constructor

    - #### AbstractResultSet

          public AbstractResultSet(ResultSetId id,
                           Long recordCount,
                           String searchStatus,
                           Date rsDatetime,
                           String source)

      full constructor

  - ### Method Detail

    - #### getId

          public ResultSetId getId()

    - #### setId

          public void setId(ResultSetId id)

    - #### getRecordCount

          public Long getRecordCount()

    - #### setRecordCount

          public void setRecordCount(Long recordCount)

    - #### getSearchStatus

          public String getSearchStatus()

    - #### setSearchStatus

          public void setSearchStatus(String searchStatus)

    - #### getRsDatetime

          public Date getRsDatetime()

    - #### setRsDatetime

          public void setRsDatetime(Date rsDatetime)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2016. All rights reserved.